
Core - Task # 56356

Epic # 55070 (Accepted): Workpackages
Epic # 55066 (New): WP: Security enhancements
Story # 56052 (Resolved): Implement CSRF Protection for ajax.php

Status: Resolved Priority: Should have
Author: Helmut Hummel Category:
Created: 2014-02-26 Assigned To:
Updated: 2014-02-28 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: Protect core Ajax calls against CSRF
Description

The backend ajax handler that are directly registered
in DefaultConfiguration.php should be CSRF protected
if necessary.

Related issues:
related to Core - Bug # 56626: AJAX file upload fails in beta6 Closed 2014-03-06
precedes Core - Bug # 56988: IE8 Users can't login to backend Resolved 2014-03-17

Associated revisions
Revision 715e61b2 - 2014-02-28 02:14 - Helmut Hummel

[SECURITY] Protect core Ajax calls against CSRF

The backend ajax handler that are directly registered
in DefaultConfiguration.php are now CSRF protected
if necessary.

Resolves: #56356
Releases: 6.2
Change-Id: Ia592f7f2b51c20326600b97d2ce10a5e5fdbfde7
Reviewed-on: https://review.typo3.org/27877
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Markus Klein
Tested-by: Markus Klein

History
#1 - 2014-02-26 20:04 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27877
#2 - 2014-02-26 20:25 - Helmut Hummel
- Parent task set to #56052

#3 - 2014-02-27 14:43 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27877

#4 - 2014-02-27 18:57 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27877

#5 - 2014-02-27 23:06 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27877

#6 - 2014-02-28 02:30 - Helmut Hummel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:715e61b279846e9eb69e0deafaeef9f9869fb24a.

2015-08-04 2/2

https://review.typo3.org/27877
https://review.typo3.org/27877
https://review.typo3.org/27877

